####file1:anchor_pairs_contact_reads_kr_raw.txt:all inter-chromosomal interaction contact file. col1-3:region of anchor1,col4-6:region of anchor 2,col7: raw contact frequency; col8 : KR normlaize contact count. 
####file2:TE.bed:wheat transposon annotation bed file with 6 column. 
####file3:TE_pattern.txt: TE pattern in subgenomes,col1:TE id ; col2 :TE pattern

###step1:significant interaction defination 
Rscript f_significant_interaction.r
###step2:calculating anchor region similarity
cat anchor_pairs_contact_reads_kr_raw.filter.txt  |while read line
do
	echo $line|tr ' ' '\t'|cut -f 1-3 > ${i}.pair.1.bed 
	echo $line|tr ' ' '\t'|cut -f 4-6  > ${i}.pair.2.bed 
	bedtools getfasta -fi genome.fasta -bed ${i}.pair.1.bed > ${i}.pair.1.fa
	bedtools getfasta -fi genome.fasta -bed ${i}.pair.2.bed > ${i}.pair.2.fa 
	cov=` blastn -query  ${i}.pair.1.fa  -subject ${i}.pair.2.fa    -task blastn -outfmt 6|awk 'BEGIN{OFS="\t"}{print $1,$7,$8}'| sort -k1,1 -k2,2n |bedtools merge -i - |awk '{sum+=$3-$2}END{print sum}'`
	echo $cov >>interaction_pair_coverage.txt 
done
awk '{if($1=="")$1=0;print $0/10000}' interaction_pair_coverage.txt |paste anchor_pairs_contact_reads_kr_raw.filter.txt -  > anchor_pairs_contact_reads_kr_raw.filter.aligned_ratio.txt

###step3:anchor region and TE region overlapping
##remove within homoeolog chromosomal interaction and classify
sed 's/chr[1-9]/&\t/g' anchor_pairs_contact_reads_kr_raw.filter.aligned_ratio.txt |awk '$1!=$5' |awk 'BEGIN{OFS="\t"}{if($2==$6)$10="within_subg";else $10="between_subg";print $0"\t"$2$6}'|sed 's/\t//1'|sed 's/\t//4' > anchor_pairs_contact_reads_kr_raw.filter.aligned_ratio_type.txt  
awk 'BEGIN{OFS="\t"}{print $1,$2,$3,$7,$8,$9,"id_"NR"\n"$4,$5,$6,$7,$8,$9,"id_"NR}' anchor_pairs_contact_reads_kr_raw.filter.aligned_ratio_type.txt|sort -k1,1 -k2,2n >  anchor.bed  
bedtools intersect -a  anchor.bed  -b TE.bed -wao -sorted|sort -k1,1 -k2,2n -k7,7 -k11,11|bedtools groupby -i - -g 1-7,11  -c  14 -o sum |awk '$7!="."'  > anchor_with_TE_length.txt
bedtools subtract  -a  anchor.bed  -b TE.bed -sorted |awk 'BEGIN{OFS="\t"}{print $0,"non_TE",$3-$2}'  > anchor_wo_TE_length.txt
cat anchor_with_TE_length.txt anchor_wo_TE_length.txt  > anchor_TE.txt 

###step4:stat and plot
Rscript f_stat_and_plot.r

